#!/bin/bash

set -eu
mkdir -p /app/data

echo " => Changing ownership"
chown -R cloudron:cloudron /app/data

if [ ! -f /app/data/env.sh ] ; then
	echo " => Use terminal to customize config in /app/data/env.sh"
	cp /app/code/example.env.sh /app/data/env.sh
fi

echo " => Sourcing config"
source /app/data/env.sh

echo " => Starting notea"
exec /usr/local/bin/gosu cloudron:cloudron /app/code/node_modules/.bin/next start

